Eclipse Remote Application Platform

## org.eclipse.rap.rwt.service
Interface IServiceManager

All Known Subinterfaces:
  ServiceManager

Deprecated. Use `ServiceManager` instead

    @Deprecated
    public interface IServiceManager

Since:
  2.0

Method Summary
`java.lang.String` `getServiceHandlerUrl(java.lang.String id)` Deprecated. Use `ServiceManager` instead of `IServiceManager`
`void` `registerServiceHandler(java.lang.String id, ServiceHandler serviceHandler)` Deprecated. Use `ServiceManager` instead of `IServiceManager`
`void` `unregisterServiceHandler(java.lang.String id)` Deprecated. Use `ServiceManager` instead of `IServiceManager`

Method Detail

### registerServiceHandler

    void registerServiceHandler(java.lang.String id,
                                ServiceHandler serviceHandler)

  Deprecated. Use `ServiceManager` instead of `IServiceManager`

### unregisterServiceHandler

    void unregisterServiceHandler(java.lang.String id)

  Deprecated. Use `ServiceManager` instead of `IServiceManager`

### getServiceHandlerUrl

    java.lang.String getServiceHandlerUrl(java.lang.String id)

  Deprecated. Use `ServiceManager` instead of `IServiceManager`

Eclipse Remote Application Platform

Copyright (c) EclipseSource and others 2002, 2014. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0